/* 
 * Circles.pde
 * 
 */

import processing.pdf.*;

// we'll use 1000x1000 so you can see the most of it on your screen, but once you see 
// how it works, you can change it to something much larger like 1200x1200 if needed
int swidth = 1000;
int sheight = 1000;

void setup() {
  size(swidth, sheight);
  noFill();
  stroke(0);
  strokeWeight(1);
  background(255);
  beginRecord(PDF, "Circles.pdf");
}

// you can change any of these numbers to get different spacing and sizes 
// of circles, and we've added comments with the starting defaults
float xposition   =  45;  // default is 45
float yposition   =  45;  // default is 45
float circmin     =  15;  // default is 15
float circmax     =  55;  // default is 55
float wall        = 100;  // default is 100
float step        =  70;  // default is 70
float minpos      = xposition;

void draw() {

      // we create a random number that is between the circmin and circmax we set above
      float randnum = random(circmin, circmax);
      
      // we now draw the circle
      ellipse(xposition, yposition, randnum, randnum);
      
      // we check if the circle is too close to the right side of 
      // the canvas, and if it is, we start drawing the next row
      if (xposition > (swidth-wall)) {
        xposition = minpos;
        yposition = yposition + step;
      }
      else {
        xposition = xposition + step;
      }
      
      // we check if the row is too close to the bottom of the 
      // canvas, and if it is, we finish the drawing
      if (yposition > (sheight-wall)) {
        yposition = step;
        endRecord();
        exit();
      }

}





